<section class='panel' data-ng-controller="OrdersController" ng-init="findOne(); initCreate(); user_info(); getUser();">
  <header class="panel-heading higher-panel-heading">
    Place an Order hallo bob
  </header>
  <div class="panel-body">
    <form class="form-horizontal" name="form" role="form" data-ng-submit="save_new_order()" novalidate>
      <div class='col-md-6'>
        <div class="form-group">
          <label mean-token="'create-url'" class="col-md-3 control-label">Balance</label>
          <div class="col-md-9">
            <input type='text' readonly='readonly' value='{{user_price.balance}}'>
          </div>
        </div>


        <div class="form-group">
          <label mean-token="'create-url'" class="col-md-3 control-label">URL</label>
          <div class="col-md-9">
            <input type="text" class="form-control" data-ng-model="url" id="url" placeholder="Enter the URL here"
              validate-url required>
            <span class="help-inline" ng-show="form.$error.url || !urlFitsPattern()">Looks like the URL is invalid or
              is not supported by the selected service.</span>
          </div>
        </div>
        <div class="form-group">
          <label mean-token="'create-service'" class="col-md-3 control-label">Service</label>
          <div class="col-md-9">
            <!-- <select name="service" id="service" data-ng-model="service" class="form-control" required>
              <option data-ng-repeat="service in services" value="{{service.value}}">{{service.label}}</option>
            </select> -->
            <ui-select ng-model="selectedService.service" theme="select2" style="width: 100%;" ng-change='sayVal(selectedService)'>
              <ui-select-match placeholder="Select a service...">{{$select.selected.label}}</ui-select-match>
              <ui-select-choices group-by="groupByCategory" group-filter="groupSort" repeat="service.value as service in services | propsFilter: {label: $select.search}">
                <div ng-bind-html="service.label | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>
        <div class="form-group" ng-hide="!url || !serviceObject.targeted">
          <label mean-token="'create-countries'" class="col-md-3 control-label">Countries</label>
          <div class="col-md-9">
            <ui-select multiple ng-model="selectedCountries.countries" theme="select2" style="width: 100%;">
              <ui-select-match placeholder="Select country...">{{$item.text}}</ui-select-match>
              <ui-select-choices repeat="country.id as country in getServiceCountries() | propsFilter: {id: $select.search, text: $select.search}">
                <div ng-bind-html="country.text | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>
        <div class="form-group" ng-show="!serviceObject.recurring">
          <label mean-token="'create-quantity'" class="col-md-3 control-label">How Many?</label>
          <div class="col-md-9">
            <!-- <input type="text" class="form-control" data-ng-model="quantity" id="quantity" placeholder="" required> -->
            <slider ng-disabled="!service" ng-model="quantity" type="text" id="quantity" floor="0" ceiling="1000"
              translate-fn="translateFn"></slider>
            <div ng-hide="!service" style="font-weight: bold;">{{quantity * serviceObject.multiplier}}
              {{serviceObject.label}}</div>
            <span ng-hide="!service" class="help-inline">Note: You can only order this service in multiples of
              {{serviceObject.multiplier}}</span>
          </div>
          <!--<div class="col-md-7">
            <div class='price-multiplier' ng-if="service"><span>x</span>&nbsp;{{getServiceMultiplier()}}&nbsp;=&nbsp;{{getServiceCount()}} Total</div>
          </div>-->
        </div>
        <div class="form-group" ng-show="serviceObject.recurring">
          <label mean-token="'create-quantity'" class="col-md-3 control-label">How Many?</label>
          <div class="col-md-9">
            <ui-select ng-model="serviceObject.selectedPackage" theme="select2" style="width: 100%;" ng-change='getVal(serviceObject)'>
              <ui-select-match placeholder="Select a package...">{{$select.selected.label}}</ui-select-match>
              <ui-select-choices group-by="groupByCategory" repeat="package in serviceObject.packages | propsFilter: {label: $select.search}">
                <div ng-bind-html="package.label | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>
        <div class="form-group" ng-hide="!url">
          <label mean-token="'create-price'" class="col-md-3 control-label">Price</label>
          <div class="col-md-9">
            <div class='price-field'>{{getServicePriceWithDiscount()}}</div>
            <div class="checkbox">
              <label><input type="checkbox" ng-model="haveDiscount" id="haveDiscount" placeholder="">I have a discount
                code</label>
            </div>
          </div>
        </div>
        <div class="form-group" ng-hide="url">
          <label mean-token="'create-price'" class="col-md-3 control-label">Price</label>
          <div class="col-md-9">
            <div class='price-field'>Enter URL above to get a price</div>
          </div>
        </div>
        <div class="form-group" ng-hide="!haveDiscount">
          <label mean-token="'create-price'" class="col-md-3 control-label">Discount</label>
          <span ng-show="!discount.code">
            <div class="col-md-5">
              <input type="text" class="form-control" ng-model="discountCode" id="discountCode" placeholder="Enter your discount code here">
            </div>
            <div class="col-md-4">
              <a class='btn btn-default btn-block applyDiscountButton' ng-click="applyDiscount()" style="line-height: 29px;">Apply
                Discount</a>
            </div>
          </span>
          <span ng-show="discount.code">
            <div class="col-md-5" style="line-height: 42px;">
              <div ng-if="discount.price">{{discount.price | numeral:'$0,0.00'}} off</div>
              <div ng-if="discount.percent">{{discount.percent | numeral:'%0,0.00'}} off</div>
            </div>
            <div class="col-md-4" ng-if="discount.code">
              <a class='btn btn-default btn-block applyDiscountButton' ng-click="cancelDiscount()" style="line-height: 29px;">Cancel
                Discount</a>
            </div>
          </span>
        </div>
      </div>
      <div class='col-md-6 link-info'>
        <span ng-hide="!url">
          <h4>Link Information</h4>
          <div class='empty-meta' ng-show="noMeta()">
            Sorry, but I can't pull any meta information for this link. Please make sure the link URL is typed
            correctly.
          </div>
          <div class="meta-scroll-container">
            <div class="form-group" ng-hide="noMeta()" ng-repeat="(parameter, value) in meta">
              <label class="col-md-3 control-label">{{parameter}}</label>
              <div class="col-md-9 meta-value">
                {{value}}
              </div>
            </div>
          </div>
        </span>
      </div>
      <div class="form-group">
        <div class="col-md-offset-10 col-md-2">
          <button type="submit" class="btn btn-info col-md-12" ng-disabled="disableButton">Save Order</button>
        </div>
      </div>
    </form>
  </div>
</section>